"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const index = require("./internal/logger/index.cjs");
const client = require("./scw/client.cjs");
const clientIniFactory = require("./scw/client-ini-factory.cjs");
const index$1 = require("./scw/errors/standard/index.cjs");
const json = require("./helpers/json.cjs");
const intervalRetrier = require("./internal/async/interval-retrier.cjs");
const helpers = require("./internal/interceptors/helpers.cjs");
const api = require("./scw/api.cjs");
const auth = require("./scw/auth.cjs");
const customMarshalling = require("./scw/custom-marshalling.cjs");
const marshalling = require("./helpers/marshalling.cjs");
const resourcePaginator = require("./scw/fetch/resource-paginator.cjs");
const index$2 = require("./api/account/index.cjs");
const index$3 = require("./api/applesilicon/index.cjs");
const index$4 = require("./api/baremetal/index.cjs");
const index$5 = require("./api/billing/index.cjs");
const index$6 = require("./api/block/index.cjs");
const index$7 = require("./api/cockpit/index.cjs");
const index$8 = require("./api/container/index.cjs");
const index$9 = require("./api/dedibox/index.cjs");
const index$a = require("./api/document_db/index.cjs");
const index$b = require("./api/domain/index.cjs");
const index$c = require("./api/flexibleip/index.cjs");
const index$d = require("./api/function/index.cjs");
const index$e = require("./api/iam/index.cjs");
const index$f = require("./api/instance/index.cjs");
const index$g = require("./api/iot/index.cjs");
const index$h = require("./api/ipam/index.cjs");
const index$i = require("./api/ipfs/index.cjs");
const index$j = require("./api/jobs/index.cjs");
const index$k = require("./api/k8s/index.cjs");
const index$l = require("./api/lb/index.cjs");
const index$m = require("./api/llm_inference/index.cjs");
const index$n = require("./api/marketplace/index.cjs");
const index$o = require("./api/mnq/index.cjs");
const index$p = require("./api/rdb/index.cjs");
const index$q = require("./api/redis/index.cjs");
const index$r = require("./api/registry/index.cjs");
const index$s = require("./api/secret/index.cjs");
const index$t = require("./api/serverless_sqldb/index.cjs");
const index_gen = require("./api/std/index.gen.cjs");
const index$u = require("./api/test/index.cjs");
const index$v = require("./api/tem/index.cjs");
const index$w = require("./api/vpc/index.cjs");
const index$x = require("./api/vpcgw/index.cjs");
const index$y = require("./api/webhosting/index.cjs");
exports.enableConsoleLogger = index.enableConsoleLogger;
exports.setLogger = index.setLogger;
exports.createAdvancedClient = client.createAdvancedClient;
exports.createClient = client.createClient;
exports.withAdditionalInterceptors = clientIniFactory.withAdditionalInterceptors;
exports.withDefaultPageSize = clientIniFactory.withDefaultPageSize;
exports.withHTTPClient = clientIniFactory.withHTTPClient;
exports.withProfile = clientIniFactory.withProfile;
exports.withUserAgent = clientIniFactory.withUserAgent;
exports.withUserAgentSuffix = clientIniFactory.withUserAgentSuffix;
exports.Errors = index$1;
exports.isJSONObject = json.isJSONObject;
exports.createExponentialBackoffStrategy = intervalRetrier.createExponentialBackoffStrategy;
exports.tryAtIntervals = intervalRetrier.tryAtIntervals;
exports.waitForResource = intervalRetrier.waitForResource;
exports.addAsyncHeaderInterceptor = helpers.addAsyncHeaderInterceptor;
exports.API = api.API;
exports.authenticateWithSessionToken = auth.authenticateWithSessionToken;
exports.marshalMoney = customMarshalling.marshalMoney;
exports.marshalScwFile = customMarshalling.marshalScwFile;
exports.marshalTimeSeries = customMarshalling.marshalTimeSeries;
exports.unmarshalMoney = customMarshalling.unmarshalMoney;
exports.unmarshalScwFile = customMarshalling.unmarshalScwFile;
exports.unmarshalServiceInfo = customMarshalling.unmarshalServiceInfo;
exports.unmarshalTimeSeries = customMarshalling.unmarshalTimeSeries;
exports.unmarshalTimeSeriesPoint = customMarshalling.unmarshalTimeSeriesPoint;
exports.resolveOneOf = marshalling.resolveOneOf;
exports.unmarshalArrayOfObject = marshalling.unmarshalArrayOfObject;
exports.unmarshalDate = marshalling.unmarshalDate;
exports.unmarshalMapOfObject = marshalling.unmarshalMapOfObject;
exports.urlParams = marshalling.urlParams;
exports.validatePathParam = marshalling.validatePathParam;
exports.enrichForPagination = resourcePaginator.enrichForPagination;
exports.Account = index$2;
exports.AppleSilicon = index$3;
exports.BareMetal = index$4;
exports.Billing = index$5;
exports.Block = index$6;
exports.Cockpit = index$7;
exports.Container = index$8;
exports.Dedibox = index$9;
exports.DocumentDB = index$a;
exports.Domain = index$b;
exports.FlexibleIP = index$c;
exports.Function = index$d;
exports.IAM = index$e;
exports.Instance = index$f;
exports.IOT = index$g;
exports.IPAM = index$h;
exports.IPFS = index$i;
exports.Jobs = index$j;
exports.K8S = index$k;
exports.LB = index$l;
exports.LLMInference = index$m;
exports.Marketplace = index$n;
exports.MNQ = index$o;
exports.RDB = index$p;
exports.Redis = index$q;
exports.Registry = index$r;
exports.Secret = index$s;
exports.ServerlessSQLDB = index$t;
exports.Std = index_gen;
exports.Test = index$u;
exports.TransactionalEmail = index$v;
exports.VPC = index$w;
exports.VPCGW = index$x;
exports.Webhosting = index$y;
